ReferenceAPI referenceRepositories
Read a repository's aggregate review configuration
GET
/organizations/{organization_id}/repositories/{repository_id}/configurationtasuku_session<token>
In: cookie
Path Parameters
organization_id*string
Length
1 <= length <= 128repository_id*string
Length
1 <= length <= 128Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/organizations/string/repositories/string/configuration"{ "data": { "agent_provider": "CODEX", "model": "string", "reasoning_effort": "low", "speed_mode": "STANDARD", "agent_use_cases": [ { "use_case": "RESEARCH", "agent_provider": "DEFAULT", "model": "string", "reasoning_effort": "inherit", "deep_reasoning_effort": "inherit", "speed_mode": "INHERIT" }, { "use_case": "RESEARCH", "agent_provider": "DEFAULT", "model": "string", "reasoning_effort": "inherit", "deep_reasoning_effort": "inherit", "speed_mode": "INHERIT" }, { "use_case": "RESEARCH", "agent_provider": "DEFAULT", "model": "string", "reasoning_effort": "inherit", "deep_reasoning_effort": "inherit", "speed_mode": "INHERIT" }, { "use_case": "RESEARCH", "agent_provider": "DEFAULT", "model": "string", "reasoning_effort": "inherit", "deep_reasoning_effort": "inherit", "speed_mode": "INHERIT" } ], "sandbox_provider": "DOCKER", "sandbox_config": { "image": "string", "cpus": "string", "memory": "string", "pids_limit": 1, "max_output_bytes": 1, "max_event_bytes": 1 }, "agent_behavior": "DEFAULT", "agent_behavior_custom": "string", "custom_instructions": "string", "mcp_servers": [ { "name": "string", "transport": "HTTP", "url": "http://example.com", "headers": [ { "name": "string", "value": "string" } ] } ], "skills": [ { "name": "string", "description": "string", "content": "string", "disable_model_invocation": true } ], "review_policy": { "review_drafts": true, "review_on_open": true, "review_on_push": true, "review_on_reopen": true, "review_on_ready": true, "max_changed_files": 1, "comment_limit": 1, "strictness": "LOW", "excluded_authors": [ "string" ], "excluded_paths": [ "string" ], "guidance": "string" }, "issue_pull_request_mode": "DRAFT", "automatic_pr_description": "DISABLED", "pull_request_template_path": "string", "auto_approve_pull_requests": false, "auto_handle_pull_request_feedback": false, "secondary_repository_ids": [ "string" ], "overrides": { "agent": false, "sandbox": false, "mcp": false, "skills": false, "instructions": false, "review_policy": false }, "sources": { "agent": "DEFAULT", "sandbox": "DEFAULT", "mcp": "DEFAULT", "skills": "DEFAULT", "instructions": "DEFAULT", "review_policy": "DEFAULT" } }}